<?php

namespace Drupal\fsfpay\Plugin\Commerce\PaymentMethodType;

use Drupal\entity\BundleFieldDefinition;
use Drupal\commerce_payment\Entity\PaymentMethodInterface;
use Drupal\commerce_payment\Plugin\Commerce\PaymentMethodType\PaymentMethodTypeBase;

/**
 * Provides the Fsfpay payment method type.
 *
 * @CommercePaymentMethodType(
 *   id = "fsfpay",
 *   label = @Translation("FsfPay"),
 * )
 */
class FsfpayMethod extends PaymentMethodTypeBase {

  /**
   * {@inheritdoc}
   */
  public function buildLabel(PaymentMethodInterface $payment_method) {
    if ($payment_method->hasField('fsfpay_mail') && !$payment_method->get('fsfpay_mail')->isEmpty()) {
      return parent::buildLabel($payment_method);
    }
    return $this->t('FSFPay');
  }

}
